Skip to main content
POST
/
products
/
store
/
{storeId}
Action to include/exclude the product in store
curl --request POST \
  --url https://services.leadconnectorhq.com/products/store/{storeId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "location",
  "action": "include",
  "productIds": [
    "productId1",
    "productId2"
  ]
}
'
{
  "status": true,
  "message": "Successfully created"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Path Parameters

storeId
string
required

Products related to the store

Example:

"3SwdhCu3svxI8AKsPJt6"

Body

application/json
altId
string
required

Location Id or Agency Id

Example:

"6578278e879ad2646715ba9c"

altType
enum<string>
required
Available options:
location
action
enum<string>
required

Action to include or exclude the product from the store

Available options:
include,
exclude
Example:

"include"

productIds
string[]
required

Array of product IDs

Example:
["productId1", "productId2"]

Response

Successful response

status
boolean
required

Status of api action

Example:

true

message
string

Success message

Example:

"Successfully created"

Last modified on March 4, 2026